[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: hotplug blacklists

On Sep 21, Nathanael Nerode <neroden@not.real.address.com> wrote:

> The absolute minimum functional upgrade path is to Conflict: with all 
> package versions providing old-style blacklists, and to abort early in 
> preinst with a loud warning if any user-specified blacklists are present on 
> the system (much akin to the way libc6 installation aborts on all kinds of 
> dangerous conditions).  That's a trivial enough patch that I assume you 
> don't need an actual .diff file to apply it.
You missed the part of the thread about the /etc/hotplug/blacklist
conffile provided by the hotplug package. It would apply to other
conflicted packages too, so no file would automatically be removed.


Attachment: signature.asc
Description: Digital signature

Reply to: